package com.fs.qw.service.impl;

import com.fs.qw.domain.QwFriendWelcomeItem;
import com.fs.qw.mapper.QwFriendWelcomeItemMapper;
import com.fs.qw.service.IQwFriendWelcomeItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 好友欢迎语的附件Service业务层处理
 * 
 * @author fs
 * @date 2024-07-20
 */
@Service
public class QwFriendWelcomeItemServiceImpl implements IQwFriendWelcomeItemService 
{
    @Autowired
    private QwFriendWelcomeItemMapper qwFriendWelcomeItemMapper;

    /**
     * 查询好友欢迎语的附件
     * 
     * @param id 好友欢迎语的附件主键
     * @return 好友欢迎语的附件
     */
    @Override
    public QwFriendWelcomeItem selectQwFriendWelcomeItemById(Long id)
    {
        return qwFriendWelcomeItemMapper.selectQwFriendWelcomeItemById(id);
    }

    /**
     * 查询好友欢迎语的附件列表
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 好友欢迎语的附件
     */
    @Override
    public List<QwFriendWelcomeItem> selectQwFriendWelcomeItemList(QwFriendWelcomeItem qwFriendWelcomeItem)
    {
        return qwFriendWelcomeItemMapper.selectQwFriendWelcomeItemList(qwFriendWelcomeItem);
    }

    /**
     * 新增好友欢迎语的附件
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 结果
     */
    @Override
    public int insertQwFriendWelcomeItem(QwFriendWelcomeItem qwFriendWelcomeItem)
    {
        return qwFriendWelcomeItemMapper.insertQwFriendWelcomeItem(qwFriendWelcomeItem);
    }

    /**
     * 修改好友欢迎语的附件
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 结果
     */
    @Override
    public int updateQwFriendWelcomeItem(QwFriendWelcomeItem qwFriendWelcomeItem)
    {
        return qwFriendWelcomeItemMapper.updateQwFriendWelcomeItem(qwFriendWelcomeItem);
    }

    /**
     * 批量删除好友欢迎语的附件
     * 
     * @param ids 需要删除的好友欢迎语的附件主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendWelcomeItemByIds(Long[] ids)
    {
        return qwFriendWelcomeItemMapper.deleteQwFriendWelcomeItemByIds(ids);
    }

    /**
     * 删除好友欢迎语的附件信息
     * 
     * @param id 好友欢迎语的附件主键
     * @return 结果
     */
    @Override
    public int deleteQwFriendWelcomeItemById(Long id)
    {
        return qwFriendWelcomeItemMapper.deleteQwFriendWelcomeItemById(id);
    }
}
